%define major 1
%define maj0 0
%define libname %mklibname %{name} %{major}
%define libOQ   %mklibname %{name}_OpenQube %{maj0}
%define devname %mklibname %{name} -d

Summary:	An advanced molecular editor for chemical purposes
Name:		avogadro
Version:	1.97.0
Release:	1
License:	GPLv2+
Group:		System/Libraries
Url:		https://www.openchemistry.org/projects/avogadro2/
Source0:	https://github.com/OpenChemistry/avogadroapp/archive/%{name}app-%{version}.tar.gz
BuildRequires:	ecm
BuildRequires:	cmake ninja
BuildRequires:	doxygen
BuildRequires:	hdf5-devel
BuildRequires:	spglib-devel
BuildRequires:	cmake(AvogadroLibs)
BuildRequires:	cmake(MoleQueue)
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5-macros

%description
An advanced molecular editor designed for cross-platform use
in computational chemistry,molecular modeling, bioinformatics,
materials science,and related areas, which offers flexible
rendering and a powerful plugin architecture.

%files
%doc CONTRIBUTING.md README.md
%doc %{_docdir}/AvogadroApp
%{_bindir}/%{name}2
%{_datadir}/applications/%{name}2.desktop
%{_datadir}/pixmaps/%{name}2.png
%{_datadir}/avogadro2/i18n/*
%{_datadir}/metainfo/*
%{_iconsdir}/hicolor/*/apps/%{name}2.png

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}app-%{version}

#Fix permissions
find . -type f -name "*.h" -exec chmod 0644 '{}' \;
find . -type f -name "*.cc" -exec chmod 0644 '{}' \;
find . -type f -name "*.c" -exec chmod 0644 '{}' \;

%build
%cmake_qt5 \
	-DENABLE_TESTING:BOOL=OFF \
	-DBUILD_DOCUMENTATION:BOOL=ON \
	-G Ninja
%ninja_build

%install
%ninja_install -C build

# more icons
for i in 64 128 256 512; do
	install -Dpm 644 avogadro/icons/%{name}2_${i}.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}2.png
done